#ifndef EXCEPTION_H_
#define EXCEPTION_H_

#include <string>
class Exception
{
public:
	enum Level_enum {
		LEVEL_INFO,
		LEVEL_WARNING,
		LEVEL_ERROR
	};

	Exception(std::string Desc, enum Level_enum Level);
	virtual ~Exception();

	void Show();

private:
	std::string Desc;
	enum Level_enum Level;
};

#endif /*EXCEPTION_H_*/
