#ifndef GOTODIALOG_H_
#define GOTODIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <gtkmm/entry.h>
#include <libglademm.h>

class GotoDialog
{
public:
	GotoDialog(std::string *GladeFilename);
	~GotoDialog();
	int Run(double *Lon, double *Lat);

private:
	void on_OKButton_activate();

	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Gtk::Dialog *GtkDialog;
	Gtk::Entry *Lattitude;
	Gtk::Entry *Longitude;
};

#endif /*GOTODIALOG_H_*/
