#ifndef IMPORTSHAPEFILE_H_
#define IMPORTSHAPEFILE_H_

#include <gtkmm/window.h>
#include <gtkmm/progressbar.h>
#include <gtkmm/button.h>
#include "Config.h"
#include "Shapefile.h"

class ImportShapefile
{
public:
	ImportShapefile(Config *Cfg, std::string *GladeFilename, Shapefile *ShapefileData);
	~ImportShapefile();

	int Run();
	void on_CancelButton_clicked();
	void ScheduleMainLoop();

private:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Config *Cfg;
	std::string *GladeFilename;
	Gtk::Window *ProgressWindow;
	Gtk::ProgressBar *ProgressBar,*SubProgressBar;
	Gtk::Button *CancelButton;
	bool CancelFlag;
	Shapefile *ShapefileData;
};

#endif /*IMPORTSHAPEFILE_H_*/
