#ifndef ABOUTDIALOG_H_
#define ABOUTDIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <gtkmm/label.h>
#include <gtkmm/image.h>
#include <libglademm.h>

class AboutDialog
{
public:
	AboutDialog(std::string *GladeFilename);
	~AboutDialog();
	int Run();

private:
	void on_OKButton_activate();

	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Gtk::Dialog *GtkDialog;
	Gtk::Label *NameLabel;
	Gtk::Image *LogoImage;
};

#endif /*ABOUTDIALOG_H_*/
