#ifndef DISCLAIMERDIALOG_H_
#define DISCLAIMERDIALOG_H_

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <libglademm.h>

class DisclaimerDialog
{
public:
	DisclaimerDialog(std::string *GladeFilename);
	~DisclaimerDialog();
	int Run();
	bool GetInitFailure();

private:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	Gtk::Dialog *GtkDialog;
	Gtk::Button *CancelButton;
	Gtk::Button *AgreeButton;

	void on_Cancel_clicked();
	void on_Agree_clicked();
	bool InitFailure;
};

#endif /*ABOUTDIALOG_H_*/
