#include <gtkmm/messagedialog.h>
#include "Exception.h"

Exception::Exception(std::string Desc, enum Level_enum Level) {
	this->Desc=Desc;
	this->Level=Level;
}

Exception::~Exception() {
}

void Exception::Show() {
	Gtk::MessageDialog *message=NULL;

	switch (Level) {
		case LEVEL_INFO:
			message = new Gtk::MessageDialog(Desc,
				false,Gtk::MESSAGE_INFO,Gtk::BUTTONS_OK,true);
			break;
		case LEVEL_WARNING:
			message = new Gtk::MessageDialog(Desc,
				false,Gtk::MESSAGE_WARNING,Gtk::BUTTONS_OK,true);
			break;
		case LEVEL_ERROR:
			message = new Gtk::MessageDialog(Desc,
				false,Gtk::MESSAGE_ERROR,Gtk::BUTTONS_CANCEL,true);
			break;
	}

	if (message) {
		message->run();
		delete message;
	}
}
